Update a Role.
Permission Level: Read-Write
PUT /users/roles/{roleId}
Operation id: RoleService_UpdateRole
Tags: RoleService
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
roleId | string | Yes |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Request body
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | |
domain | string | No | |
scope | string | No | |
role | object | No | |
deactivated | object | No | |
updateFieldMask | string | No | |
displayName | string | No | |
dynamic | boolean | No | |
responseFieldMask | string | No |
{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"domain": {
"type": "string"
},
"scope": {
"type": "string"
},
"role": {
"type": "object",
"properties": {
"description": {
"type": "string"
},
"attributes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"scope": {
"type": "string"
},
"fieldName": {
"type": "string"
},
"value": {
"type": "string"
},
"domain": {
"type": "string"
}
}
}
}
}
},
"deactivated": {
"type": "object",
"properties": {
"deactivated": {
"type": "boolean"
}
}
},
"updateFieldMask": {
"type": "string"
},
"displayName": {
"type": "string"
},
"dynamic": {
"type": "boolean"
},
"responseFieldMask": {
"type": "string"
}
}
}
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
globalId | string | No | |
tenantId | string | No | |
domain | string | No | |
scope | string | No | Some more general scoping for the data (like a particular app in the domain). Required: false. |
roleId | string | No | |
description | string | No | Role description. Required: false. |
users | array | No | |
roles | array | No | |
systemLevel | boolean | No | |
workspaces | array | No | |
permissionsIds | array | No | |
deactivated | boolean | No | |
creationTime | string (date-time) | No | |
lastUpdated | string (date-time) | No | |
displayName | string | No | |
dynamic | boolean | No | |
attributes | array | No | |
roleType | string | No |
{
"type": "object",
"properties": {
"globalId": {
"type": "string"
},
"tenantId": {
"type": "string"
},
"domain": {
"type": "string"
},
"scope": {
"type": "string",
"description": "Some more general scoping for the data (like a particular app in the domain). Required: false."
},
"roleId": {
"type": "string"
},
"description": {
"type": "string",
"description": "Role description. Required: false."
},
"users": {
"type": "array",
"items": {
"type": "object",
"properties": {
"tenantId": {
"type": "string",
"description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
},
"userId": {
"type": "string",
"description": "The user ID. Required: true."
},
"firstName": {
"type": "string",
"description": "The first name. Required: false."
},
"lastName": {
"type": "string",
"description": "The last name. Required: false."
}
}
}
},
"roles": {
"type": "array",
"items": {
"type": "object",
"properties": {
"tenantId": {
"type": "string",
"description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
},
"domain": {
"type": "string",
"description": "The platform domain. Required: true. (e.g. ZPA, Reflexis, WFC)\nDefaults to the domain in the request."
},
"scope": {
"type": "string",
"description": "Some more general scoping for the data (like a particular app in the domain). Required: false."
},
"roleId": {
"type": "string",
"description": "The role ID. Required: true."
},
"userIds": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
},
"systemLevel": {
"type": "boolean"
},
"workspaces": {
"type": "array",
"items": {
"type": "object",
"properties": {
"tenantId": {
"type": "string",
"description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
},
"name": {
"type": "string"
},
"workspaceType": {
"type": "string"
},
"userIds": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
},
"permissionsIds": {
"type": "array",
"items": {
"type": "string"
}
},
"deactivated": {
"type": "boolean"
},
"creationTime": {
"type": "string",
"format": "date-time"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"displayName": {
"type": "string"
},
"dynamic": {
"type": "boolean"
},
"attributes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"scope": {
"type": "string"
},
"fieldName": {
"type": "string"
},
"value": {
"type": "string"
},
"domain": {
"type": "string"
}
}
}
},
"roleType": {
"type": "string",
"enum": [
"UNDEFINED",
"USER",
"ADMIN"
],
"default": "UNDEFINED"
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}